lz-scan (1.9.1-1) unstable; urgency=medium

  * 新版本发布 v1.9.1 - 自动纠偏与自动旋转版
  * 新增功能：
    - 自动纠偏：基于霍夫变换的高精度纠偏算法
    - 自动旋转：基于启发式规则的文档方向检测
    - 右键菜单：添加"倾斜校正"功能（带图标）
    - 测试工具：提供测试图片生成脚本
  * 算法优化：
    - 纠偏准确率：90-95%（提升20-25%）
    - 纠偏速度：1-2秒/页（提升50-60%）
    - 旋转准确率：70-80%（启发式规则）
    - 旋转速度：0.5-1秒/页
  * UI优化：
    - 网格布局：选项完美对齐（2行2列）
    - 第一行：自动纠偏、自动旋转
    - 第二行：删除空白页、扫描后保存
  * 技术改进：
    - 新增 Deskewer 类（独立纠偏模块）
    - 新增 AutoRotator 类（自动旋转模块）
    - Otsu 自适应二值化
    - 霍夫变换投票算法
    - 角度聚类验证
    - 三角函数预计算
  * 文档完善：
    - 详细的实现说明文档
    - 完整的测试指南
    - 功能使用说明

 -- 克亮 <315707022@qq.com>  Sat, 14 Dec 2025 18:00:00 +0800

lz-scan (1.9.0-1) unstable; urgency=medium

  * 新版本发布 v1.9.0 - 智能裁剪与功能优化版
  * 新增功能：
    - 智能裁剪功能：自动检测文档边界并裁剪空白区域
    - 黑白扫描模式：新增黑白色彩模式选项
    - 批注文字居中对齐：文字在文本框内自动居中显示
  * 智能字号优化：
    - 根据图片宽高比和尺寸智能调整字号
    - 字号除数分级：小图片20、中等25、大图片28、超大30
    - 文字批注字号减半，水印字号缩小3倍
    - 文本框边距增加到100%，确保文字完全显示
  * PDF保存优化：
    - 统一使用300 DPI，保持图像原始尺寸
    - 修复多页PDF尺寸异常（从3304×4676修正为正常尺寸）
    - 修复单页PDF DPI问题（从96 DPI修正为300 DPI）
    - PDF创建者信息改为"LZ-Scan"
  * 主题与界面：
    - 强制使用浅色主题，避免跟随系统深色主题
    - 帮助对话框深色模式适配
    - 移除硬编码颜色，自动适配主题
  * Bug修复：
    - 修复黑白扫描图像反色问题
    - 修复网络扫描仪重复显示问题
    - 自动反转单色图像颜色
  * 技术改进：
    - QPdfWriter分辨率设置优化
    - 图像DPI元数据正确设置
    - 网络设备标识符标准化去重

 -- 克亮 <315707022@qq.com>  Sat, 16 Nov 2025 00:30:00 +0800

lz-scan (1.8.8-1) unstable; urgency=medium

  * 新版本发布 v1.8.8 - UI优化
  * UI 优化：
    - 工具栏按钮文字统一宽度排版
    - 字间距调整，整体更美观
  * 图标全面重新设计：
    - 打印图标：蓝色渐变打印机，带纸张和控制面板
  * 图标设计特点：
    - 统一采用现代化渐变设计
    - 清晰的颜色体系：蓝、橙、紫、青
    - 添加光晕和装饰环效果
    - 部分图标带动态动画效果
  * 帮助系统优化：
    - 简化使用指南结构
    - 优化搜索和导航体验
  * 关于对话框优化：
    - 使用高清 SVG 图标（128x128）
    - 移除冗余文字
    - 界面更简洁清爽

 -- 克亮 <315707022@qq.com>  Mon, 03 Nov 2025 22:00:00 +0800

lz-scan (1.8.6-1) unstable; urgency=medium

  * 新版本发布 v1.8.6 - 用户体验优化与Bug修复版
  * eSCL 扫描用户体验优化：
    - 状态栏统一显示"正在扫描..."（与 USB 模式一致）
    - 进度条显示为忙碌指示器动画（不显示百分比）
    - 不显示页码信息，提供更简洁的用户体验
  * 扫描参数智能预设：
    - 查找设备后自动重置分辨率为 300 DPI（推荐值）
    - 适用于所有扫描模式（USB、USB+局域网、eSCL）
    - 用户仍可手动选择其他分辨率
  * 页面大小支持完善：
    - 新增 A3 页面大小支持（297 x 420 mm）
    - 修正 A4 尺寸错误（210 x 297 mm，之前错误使用 Letter 尺寸）
    - 支持 A4、A3、A5、Letter、Legal 五种标准页面大小
    - eSCL 和 USB 模式均已支持
  * Bug 修复：
    - 修复 USB 模式页面大小设置无效问题
    - 修复 A4 尺寸错误（之前使用 215.9 x 279.4 mm）
    - 改进错误处理机制
  * 技术改进：
    - 优化扫描区域设置逻辑
    - 改进页面大小映射机制
    - 增强日志记录功能

 -- 克亮 <315707022@qq.com>  Sat, 26 Oct 2025 20:00:00 +0800

lz-scan (1.8.5-1) unstable; urgency=medium

  * 新版本发布 v1.8.5 - 功能增强与优化版
  * 文字批注功能完善：
    - 修复长文字显示不完整问题
    - 修复水印显示不完整问题
    - 使用三种方法计算文字宽度，取最大值
    - 增加边距到100x40，确保完整显示
    - 输入框字号与设置同步
    - 输入框宽度自动调整
    - 改进文字绘制方法（使用 TextDontClip）
  * 按钮布局优化：
    - 添加图标（↶ ↷ ✓）
    - 统一样式，完成按钮使用蓝色突出显示
  * eSCL 扫描优化：
    - 响应速度优化：初始等待 5秒→2秒，重试间隔固定1.5秒
    - 总体节省约10秒扫描时间
    - 图像质量改善：自动去除底色、增加亮度、增强对比度
    - 接近 SANE 模式的扫描质量
  * 选中状态功能：
    - 点击文字框显示蓝色边框和控制点
    - 点击空白处取消选中
    - 样式同步显示
    - 选中状态提示标签

 -- 克亮 <315707022@qq.com>  Tue, 22 Oct 2025 20:00:00 +0800

lz-scan (1.6.6-1) unstable; urgency=medium

  * 新版本发布 v1.6.6 - 扫描修复版
  * 修复部分扫描仪扫描图像为全黑的问题
  * 优化扫描数据读取逻辑：
    - 修复 sane_read() 数据读取错误
    - 增大读取缓冲区从 3.7KB 到 32KB
    - 实现行缓冲机制，正确处理任意大小数据块
    - 修复读取 0 字节导致过早退出的问题
  * 性能改进：
    - 减少系统调用次数 8.8 倍
    - 提高扫描速度和稳定性
    - 增强对多品牌扫描仪的兼容性
  * 调试改进：
    - 增加详细的扫描过程日志
    - 便于问题诊断和定位

 -- 克亮 <315707022@qq.com>  Sat, 19 Oct 2025 13:30:00 +0800

lz-scan (1.6.5-1) unstable; urgency=medium

  * 新版本发布 v1.6.5 - 智能合并优化版
  * 智能拆分合并功能优化：
    - 修复自动拆分检测逻辑，从基于A4尺寸改为基于内容区域检测
    - 支持不同DPI扫描的A4纸张自动识别（72-1200 DPI）
    - 智能检测图片中是否包含多个内容区域
    - 自动拆分并保留需要的部分，然后智能合并
  * 工具栏合并功能重新设计：
    - 去除模板选择系统，简化操作流程
    - 用户直接选择左右合并或上下合并
  * 图标设计优化：
    - 重新设计 layout.svg 和 layout-columns.svg
    - 添加扫描框四角装饰和纸张内容线条
  * 用户体验改进：
    - 更符合用户习惯的多选操作
    - 完善智能合并说明和提示信息
  * 文档完善：
    - 添加智能拆分合并自动化方案说明
    - 添加A4纸张不同DPI尺寸对照表
    - 添加智能拆分问题修复说明
    - 添加图标重新设计说明
    - 添加多选快捷键修改说明

 -- 克亮 <315707022@qq.com>  Sun, 12 Oct 2025 20:00:00 +0800

lz-scan (1.6.1-1) unstable; urgency=medium

  * 新版本发布 v1.6.1 - 网络设备完善版
  * 网络设备支持完善：
    - 修复 TCP 网络设备无法搜索的问题
    - 优化设备搜索策略
  * 设备显示优化：
    - 保留网络设备的完整连接信息（IP、端口、序列号）
    - 本地设备清理技术细节，显示更简洁
    - 添加重复设备自动去重功能
    - 网络设备显示 [网络] 标识
  * 用户体验改进：
    - 完善状态栏反馈，显示搜索进度
    - 添加进度条动画
    - 详细的设备统计信息
    - 区分本地和网络设备数量
  * Bug 修复：
    - 修复切换搜索模式需要搜索两次的问题
    - 修复设备名称映射错误
    - 修复网络设备显示名称被过度简化的问题

 -- 克亮 <315707022@qq.com>  Mon, 07 Oct 2025 18:00:00 +0800

lz-scan (1.5.0-1) unstable; urgency=medium

  * 新版本发布 v1.5.0
  * 新增功能：
    - 实时预览：亮度/对比度、色度/饱和度调整
    - 循环延时扫描功能
    - 撤销功能（最多10步）
    - 角度调整（手动精确控制）
  * 界面改进：
    - 去除自动倾斜校正选项
    - 新增三个功能图标（brightness.svg, color.svg, undo.svg）
    - 优化高级设置对话框
  * 文件命名：
    - 改用年月日时分秒格式（yyyyMMdd_HHmmss）
  * 性能优化：
    - 实时预览提升效率80%
    - 简化文件命名逻辑

 -- 克亮 <315707022@qq.com>  Thu, 02 Oct 2025 16:00:00 +0800

lz-scan (1.0.3-2) unstable; urgency=medium

  * 修复安装/卸载脚本
  * 添加多尺寸图标支持
  * 改进hicolor图标主题支持
  * 修复包移除问题

 -- 克亮 <315707022@qq.com>  Mon, 30 Sep 2025 10:00:00 +0800

lz-scan (1.0.3-1) unstable; urgency=medium

  * 初始版本发布
  * 基于Qt5的现代化用户界面
  * 实现SANE扫描仪支持
  * 添加图像处理功能

 -- 克亮 <315707022@qq.com>  Sun, 29 Sep 2025 10:00:00 +0800
